///////////////////////////////////
//Technik 2009
//Revolution Engine 0.5
///////////////////////////////////
//Mateirals header file

#ifndef REV_MATERIALS_H
#define REV_MATERIALS_H

class MATERIAL
{
public:
	MATERIAL();
	f32 specularity;
	u8 flags;
protected:
	u8 type;
private:
	virtual void setTev(u8 nUVs, u8 * clrChannels, u8 * texChannels)=0;
friend void render(NODE * node, Vector camPos);
};

class BMATERIAL: public MATERIAL//Basic material
{
public:
	BMATERIAL(GXColor diffuse = SC_WHITE, GXColor specualr = SC_WHITE, f32 specularity = 1.0f);
	GXColor diffuseClr, specularClr;
	//u8 difUV, specUV, lUV;//For multiChannel textures
	GXTexObj * diffuseMap, * specularMap;//Add lightmap
	Mtx diffMtx, specMtx;
private:
	void setTev(u8 nUVs, u8 * clrChannels, u8 * texChannels);
};

GXTexObj * loadPng(const char * filename);

#endif
